@import 'variables';

.separator {
  margin: 0 15px;
  flex-shrink: 0;
}

.actions {
  margin-top: 40px;
}

::ng-deep.cover-input {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 35px;
  border-radius: 6px;
  background: $white-text-color;
  position: relative;
  &.is-invalid {
    mat-form-field {
      .mat-form-field-wrapper {
        .mat-form-field-flex {
          .mat-form-field-outline {
            .mat-form-field-outline-start {
              min-width: 0;
              border: 0;
            }
            .mat-form-field-outline-end {
              border: 2px solid $red-color;
              border-radius: 5px;
            }
          }
        }
      }
    }
  }

  mat-form-field {
    width: 100%;
    height: 100%;
    .mat-form-field-wrapper {
      width: 100%;
      height: 100%;
      padding: 0;
      margin: 0;
      .mat-form-field-flex {
        padding: 0;
        margin: 0;
      }
    }
    .mat-form-field-underline {
      bottom: 0;
    }
    .mat-form-field-infix {
      width: 100%;
      padding: 0 !important;
      border-top: 0;
      background: transparent;
    }
  }
  .mat-form-field-appearance-outline {
    .mat-form-field-outline {
      top: 0;
    }
  }

  input {
    width: 100%;
    height: 35px;
    padding: 0 50px 0 10px;
    font-size: 12px;
    font-weight: bold;
    color: $gray-darker;
    border-radius: 3px;
    outline: none;
    &::-webkit-input-placeholder {
      font-weight: normal;
    }
    &::-moz-placeholder {
      font-weight: normal;
    }
    &:-ms-input-placeholder {
      font-weight: normal;
    }
    :-moz-placeholder {
      font-weight: normal;
    }
  }

  .input-label {
    position: absolute;
    right: 10px;
    top: 10px;
    color: $gray-medium;
    font-size: 12px;
    font-weight: 400;
    line-height: 15px;
  }
}
